#include "Processor.h"
#include "Canvas.h"

void ProxyProcessor::resize( int width, int height )
{
	// empty
}

void ProxyProcessor::process( const unsigned char* original, unsigned char* processed )
{
	// empty
}

QWidget* ProxyProcessor::getPropertiesWidget( QWidget* parent )
{
	return 0;
}

void ProxyProcessor::setupToolBar( QToolBar* toolBar )
{
	// empty
}

void ProxyProcessor::decorateGL( Canvas* canvas )
{
	_targetCanvas->getProcessor()->decorateGL( canvas );
}

bool ProxyProcessor::onMousePress( Canvas* canvas, int x, int y )
{
	return _targetCanvas->getProcessor()->onMousePress( canvas, x, y );
}

bool ProxyProcessor::onMouseRelease( Canvas* canvas, int x, int y )
{
	return _targetCanvas->getProcessor()->onMouseRelease( canvas, x, y );
}
